DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTStructureSetROISequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTStructureSetROISequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getROIDescription (OFString &value, const signed long pos=0) const
| get ROIDescription (3006,0028) More...
OFCondition | getROIGenerationAlgorithm (OFString &value, const signed long pos=0) const
| get ROIGenerationAlgorithm (3006,0036) More...
OFCondition | getROIGenerationDescription (OFString &value, const signed long pos=0) const
| get ROIGenerationDescription (3006,0038) More...
OFCondition | getROIName (OFString &value, const signed long pos=0) const
| get ROIName (3006,0026) More...
OFCondition | getROINumber (OFString &value, const signed long pos=0) const
| get ROINumber (3006,0022) More...
OFCondition | getROINumber (Sint32 &value, const unsigned long pos=0) const
| get ROINumber (3006,0022) More...
OFCondition | getROIVolume (OFString &value, const signed long pos=0) const
| get ROIVolume (3006,002c) More...
OFCondition | getROIVolume (Float64 &value, const unsigned long pos=0) const
| get ROIVolume (3006,002c) More...
OFCondition | getReferencedFrameOfReferenceUID (OFString &value, const signed long pos=0) const
| get ReferencedFrameOfReferenceUID (3006,0024) More...
DRTConceptualVolumeIdentificationSequence & | getConceptualVolumeIdentificationSequence ()
| get ConceptualVolumeIdentificationSequence (3010,00a0) More...
const DRTConceptualVolumeIdentificationSequence & | getConceptualVolumeIdentificationSequence () const
| get ConceptualVolumeIdentificationSequence (3010,00a0) More...
DRTDefinitionSourceSequence & | getDefinitionSourceSequence ()
| get DefinitionSourceSequence (0008,1156) More...
const DRTDefinitionSourceSequence & | getDefinitionSourceSequence () const
| get DefinitionSourceSequence (0008,1156) More...
DRTDerivationCodeSequence & | getDerivationCodeSequence ()
| get DerivationCodeSequence (0008,9215) More...
const DRTDerivationCodeSequence & | getDerivationCodeSequence () const
| get DerivationCodeSequence (0008,9215) More...
DRTROIDerivationAlgorithmIdentificationSequence & | getROIDerivationAlgorithmIdentificationSequence ()
| get ROIDerivationAlgorithmIdentificationSequence (3006,0037) More...
const DRTROIDerivationAlgorithmIdentificationSequence & | getROIDerivationAlgorithmIdentificationSequence () const
| get ROIDerivationAlgorithmIdentificationSequence (3006,0037) More...
OFCondition | setROIDescription (const OFString &value, const OFBool check=OFTrue)
| set ROIDescription (3006,0028) More...
OFCondition | setROIGenerationAlgorithm (const OFString &value, const OFBool check=OFTrue)
| set ROIGenerationAlgorithm (3006,0036) More...
OFCondition | setROIGenerationDescription (const OFString &value, const OFBool check=OFTrue)
| set ROIGenerationDescription (3006,0038) More...
OFCondition | setROIName (const OFString &value, const OFBool check=OFTrue)
| set ROIName (3006,0026) More...
OFCondition | setROINumber (const OFString &value, const OFBool check=OFTrue)
| set ROINumber (3006,0022) More...
OFCondition | setROIVolume (const OFString &value, const OFBool check=OFTrue)
| set ROIVolume (3006,002c) More...
OFCondition | setReferencedFrameOfReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set ReferencedFrameOfReferenceUID (3006,0024) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTConceptualVolumeIdentificationSequence | ConceptualVolumeIdentificationSequence
| ConceptualVolumeIdentificationSequence (3010,00a0) vr=SQ, vm=1, type=3.
DRTDefinitionSourceSequence | DefinitionSourceSequence
| DefinitionSourceSequence (0008,1156) vr=SQ, vm=1, type=3.
DRTDerivationCodeSequence | DerivationCodeSequence
| DerivationCodeSequence (0008,9215) vr=SQ, vm=1, type=3.
DRTROIDerivationAlgorithmIdentificationSequence | ROIDerivationAlgorithmIdentificationSequence
| ROIDerivationAlgorithmIdentificationSequence (3006,0037) vr=SQ, vm=1, type=3.
DcmShortText | ROIDescription
| ROIDescription (3006,0028) vr=ST, vm=1, type=3.
DcmCodeString | ROIGenerationAlgorithm
| ROIGenerationAlgorithm (3006,0036) vr=CS, vm=1, type=2.
DcmLongString | ROIGenerationDescription
| ROIGenerationDescription (3006,0038) vr=LO, vm=1, type=3.
DcmLongString | ROIName
| ROIName (3006,0026) vr=LO, vm=1, type=2.
DcmIntegerString | ROINumber
| ROINumber (3006,0022) vr=IS, vm=1, type=1.
DcmDecimalString | ROIVolume
| ROIVolume (3006,002c) vr=DS, vm=1, type=3.
DcmUniqueIdentifier | ReferencedFrameOfReferenceUID
| ReferencedFrameOfReferenceUID (3006,0024) vr=UI, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTStructureSetROISequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTStructureSetROISequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getConceptualVolumeIdentificationSequence() [1/2]

DRTConceptualVolumeIdentificationSequence& DRTStructureSetROISequence::Item::getConceptualVolumeIdentificationSequence | ( |  | ) |
| inline

get ConceptualVolumeIdentificationSequence (3010,00a0)

Returns
  reference to sequence element

## ◆ getConceptualVolumeIdentificationSequence() [2/2]

const DRTConceptualVolumeIdentificationSequence& DRTStructureSetROISequence::Item::getConceptualVolumeIdentificationSequence | ( |  | ) | const
| inline

get ConceptualVolumeIdentificationSequence (3010,00a0)

Returns
  const reference to sequence element

## ◆ getDefinitionSourceSequence() [1/2]

DRTDefinitionSourceSequence& DRTStructureSetROISequence::Item::getDefinitionSourceSequence | ( |  | ) |
| inline

get DefinitionSourceSequence (0008,1156)

Returns
  reference to sequence element

## ◆ getDefinitionSourceSequence() [2/2]

const DRTDefinitionSourceSequence& DRTStructureSetROISequence::Item::getDefinitionSourceSequence | ( |  | ) | const
| inline

get DefinitionSourceSequence (0008,1156)

Returns
  const reference to sequence element

## ◆ getDerivationCodeSequence() [1/2]

DRTDerivationCodeSequence& DRTStructureSetROISequence::Item::getDerivationCodeSequence | ( |  | ) |
| inline

get DerivationCodeSequence (0008,9215)

Returns
  reference to sequence element

## ◆ getDerivationCodeSequence() [2/2]

const DRTDerivationCodeSequence& DRTStructureSetROISequence::Item::getDerivationCodeSequence | ( |  | ) | const
| inline

get DerivationCodeSequence (0008,9215)

Returns
  const reference to sequence element

## ◆ getReferencedFrameOfReferenceUID()

OFCondition DRTStructureSetROISequence::Item::getReferencedFrameOfReferenceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedFrameOfReferenceUID (3006,0024)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIDerivationAlgorithmIdentificationSequence() [1/2]

DRTROIDerivationAlgorithmIdentificationSequence& DRTStructureSetROISequence::Item::getROIDerivationAlgorithmIdentificationSequence | ( |  | ) |
| inline

get ROIDerivationAlgorithmIdentificationSequence (3006,0037)

Returns
  reference to sequence element

## ◆ getROIDerivationAlgorithmIdentificationSequence() [2/2]

const DRTROIDerivationAlgorithmIdentificationSequence& DRTStructureSetROISequence::Item::getROIDerivationAlgorithmIdentificationSequence | ( |  | ) | const
| inline

get ROIDerivationAlgorithmIdentificationSequence (3006,0037)

Returns
  const reference to sequence element

## ◆ getROIDescription()

OFCondition DRTStructureSetROISequence::Item::getROIDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ROIDescription (3006,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIGenerationAlgorithm()

OFCondition DRTStructureSetROISequence::Item::getROIGenerationAlgorithm | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ROIGenerationAlgorithm (3006,0036)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIGenerationDescription()

OFCondition DRTStructureSetROISequence::Item::getROIGenerationDescription | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ROIGenerationDescription (3006,0038)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIName()

OFCondition DRTStructureSetROISequence::Item::getROIName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ROIName (3006,0026)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROINumber() [1/2]

OFCondition DRTStructureSetROISequence::Item::getROINumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ROINumber (3006,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROINumber() [2/2]

OFCondition DRTStructureSetROISequence::Item::getROINumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ROINumber (3006,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIVolume() [1/2]

OFCondition DRTStructureSetROISequence::Item::getROIVolume | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ROIVolume (3006,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getROIVolume() [2/2]

OFCondition DRTStructureSetROISequence::Item::getROIVolume | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ROIVolume (3006,002c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTStructureSetROISequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTStructureSetROISequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTStructureSetROISequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTStructureSetROISequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedFrameOfReferenceUID()

OFCondition DRTStructureSetROISequence::Item::setReferencedFrameOfReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedFrameOfReferenceUID (3006,0024)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIDescription()

OFCondition DRTStructureSetROISequence::Item::setROIDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ROIDescription (3006,0028)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIGenerationAlgorithm()

OFCondition DRTStructureSetROISequence::Item::setROIGenerationAlgorithm | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ROIGenerationAlgorithm (3006,0036)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIGenerationDescription()

OFCondition DRTStructureSetROISequence::Item::setROIGenerationDescription | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ROIGenerationDescription (3006,0038)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIName()

OFCondition DRTStructureSetROISequence::Item::setROIName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ROIName (3006,0026)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROINumber()

OFCondition DRTStructureSetROISequence::Item::setROINumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ROINumber (3006,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setROIVolume()

OFCondition DRTStructureSetROISequence::Item::setROIVolume | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ROIVolume (3006,002c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTStructureSetROISequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtssrs.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1